Bug 1415733 (CVE-2017-5546) - CVE-2017-5546 kernel: SLAB freelist randomization produces duplicate entries
Summary: CVE-2017-5546 kernel: SLAB freelist randomization produces duplicate entries
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-5546
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 15:10 UTC by Adam Mariš
Modified: 2019-09-29 14:04 UTC (History)
32 users (show)

Fixed In Version: kernel 4.9.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-24 15:01:28 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-01-23 15:10:11 UTC
A bug in freelist randomization code was found resulting into freelist containing duplicate entries when high random number is used. This will result in different allocations sharing the same chunk which can cause odd behaviours and crashes.

This affects kernel versions >= 4.8 when CONFIG_SLAB_FREELIST_RANDOM is enabled.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=c4e490cf148e85ead0d1b1c2caaba833f1d5b29f

CVE assignment:

http://seclists.org/oss-sec/2017/q1/161

Comment 1 Justin M. Forbes 2017-01-23 22:00:17 UTC
This was fixed in stable update 4.9.5 which is currently on all supported Fedora releases

Comment 2 Adam Mariš 2017-01-24 15:01:28 UTC
(In reply to Justin M. Forbes from comment #1)
> This was fixed in stable update 4.9.5 which is currently on all supported
> Fedora releases

Thanks, marking as not affected then.


Note You need to log in before you can comment on or make changes to this bug.